mtext_prop_range(3m17n)

NAME
mtext_prop_range - Find the range where the value of a text property is the same.

SYNOPSIS
int mtext_prop_range (MText * mt, MSymbol key, int pos, int * from, int * to, int deeper)

DESCRIPTION
Find the range where the value of a text property is the same.

The mtext_prop_range() function investigates the extent where all characters have the same value for a text property. It first finds the value of the property specified by key of the character at pos in M-text mt. Then it checks if adjacent characters have the same value for the property key. The beginning and the end of the found range are stored to the variable pointed to by from and to. The character position stored in from is inclusive but that in to is exclusive; this fashion is compatible with the range specification in the mtext_put_prop() function, etc.

If deeper is not 0, not only the topmost but also all the stacked properties whose key is key are compared.

If from is NULL, the beginning of range is not searched for. If to is NULL, the end of range is not searched for.

RETURN VALUE

If the operation was successful, mtext_prop_range() returns the number of values the property key has at pos. Otherwise it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE, MERROR_SYMBOL

SEE ALSO

    mtext_put_prop(), mtext_put_prop_values(), mtext_get_prop(), mtext_get_prop_values(), mtext_pop_prop(), mtext_push_prop()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.